export default class ModelSquare {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelSquare/list', 'post', params, axiosOption, httpOption);
  }
      
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelSquare/view', 'get', params, axiosOption, httpOption);
  }
      
  static export (sender, params, fileName) {
    return sender.download('/admin/app/modelSquare/export', params, fileName);
  }
      
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelSquare/add', 'post', params, axiosOption, httpOption);
  }
      
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelSquare/update', 'post', params, axiosOption, httpOption);
  }
      
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelSquare/delete', 'post', params, axiosOption, httpOption);
  }
}
